---
image: /img/monero.png
title: Simple Systems Accepts Cryptocurrency
author: Jeff Russo
published: Dec 1, 2019
desc: This is why we accept crypto
---

Simple Systems will accept payment in
[Monero](https://web.getmonero.org/),
[Bitcoin](https://bitcoin.org/), or
[Litecoin](https://litecoin.org/).

### What is cryptocurrency?
Cryptocurrency is a medium of exchange that uses cryptography to ensure the key [properties](https://en.wikipedia.org/wiki/Money#Properties) of money are fulfilled.
It is decentralized, meaning no single entity controls it; all the regulations come from cryptography and consensus.

### Centralized fiat currencies
Today, governments across the world maintain different fiat currencies.
Fiat has some advantages over its predecessor, precious metals.
The government can control the supply, stabilizing the value.
It is also more portable than precious metals.
Carrying a bag of gold doesn't make sense when you can use Apple Pay or Google Pay.

Unfortunately, fiat currencies always end in disaster.
The longest lasting fiat currency was around for 325 years, but its value eventually went to zero.
A currency which experiences hyperinflation eventually becomes worthless.
Here are a few examples of this happening:
* <a href="https://www.theguardian.com/money/2016/may/14/zimbabwe-trillion-dollar-note-hyerinflation-investment" target="_blank">Z$100 trillion loaves of bread in Zimbabwe</a>
* <a href="https://en.wikipedia.org/wiki/Hyperinflation_in_the_Weimar_Republic" target="_blank">German Papiermark</a>: The currency was inflated to the point of people getting paid in wheelbarrows of cash.

![Wheelbarrow of Cash](/img/hyperinflation_wheelbarrow.jpg)
* <a href="https://fee.org/articles/venezuela-cant-afford-to-print-more-money/" target="_blank">Venezuela could not afford to print money</a>
* <a href="https://www.youtube.com/watch?v=dwZ6B5kalbQ" target="_blank">This video</a> shows some recent history of inflation rates.

The US Dollar is relatively strong, but its value has still been inflated away since its inception.
If you saved a dollar in 1913, it only has about 4 cents worth of buying power now.

### Bitcoin - A Major Breakthrough
[Bitcoin](https://bitcoin.org/bitcoin.pdf) was a major breakthrough in both computing and money.
It's Proof of Work consensus algorithm is the backbone of most cryptocurrencies.
This method enables entities from around the world to agree on something.
For cryptocurrencies, that something is the possession of money.
An agreement on the ownership of about $150B has been reached every ten minutes for over a decade.

Bitcoin's ledger is completely transparent.
When a transaction is created, the sender, receiver, and amount is made public.
This can be a problem for a few reasons.
First, it allows anyone to see how much money anyone else has.
If you get a cup of coffee, you most likely wouldn't advertise your bank account balance; why do this with crypto?
Secondly, this allows entities to discriminate based on transaction history.
Some bitcoin is considered tainted if it has been involved in illegal activities.
Organizations can refuse to do business with certain tainted bitcoin addresses.
By analogy, if you find a $10 bill on the ground and pick it up, should you be tied to its history?
If that $10 was in a bank robbery last year, should it be deemed to have less than $10 in value?  

### Monero - Fungible
[Monero](https://web.getmonero.org/) is cryptocurrency which was released a few years after Bitcoin.
It is [fungible](https://web.getmonero.org/resources/moneropedia/fungibility.html) unlike Bitcoin, meaning each unit of currency is of equal value as the others. 
This is achieved by keeping the ledger private.
Transactions are put out in the open like Bitcoin, but the details are encrypted.
This means there is no way to discriminate against a user based on their financial history.

Monero is private by default, but has the ability to reveal transactions at your discretion.
In the case of a business, it may be required to show the "books".
This is simple with a view key that can be used to show incoming transactions.

### Be your own bank
One of the advantages to using cryptocurrency is that you are your own bank.
As long as you hold your private keys, your funds are safe.
With today's computing power, you will be long gone before [your key is guessed](https://bitcoin.stackexchange.com/questions/2847/how-long-would-it-take-a-large-computer-to-crack-a-private-key).

Credit card companies and banks get [hacked](https://www.washingtonpost.com/national-security/capital-one-data-breach-compromises-tens-of-millions-of-credit-card-applications-fbi-says/2019/07/29/72114cc2-b243-11e9-8f6c-7828e68cb15f_story.html), and when they do the consequences are serious.
When you are your own bank, there is no middle man, and it is your responsibility to secure your finances.
As mentioned earlier, the Bitcoin network has not gone down in over a decade. Monero has a similar track record.
This 24/7 availability gives you 24/7 access.

### Conclusion
I think cryptocurrencies are the future of money.
They are superior to fiat in so many ways.
There are almost no barriers to entry; Essentially anyone with internet access can use crypto.
For myself and my company, this makes it very easy to be my own bank.

We will accept crypto because we believe it is only a matter of time before the world starts converting from fiat to it.
Our preference is Monero because we see it as technologically superior.
