import Vue from 'vue'

import 'material-design-icons-iconfont/dist/material-design-icons.css'

import Vuetify, {
	VApp, VAppBar, VContent, VNavigationDrawer, VToolbar, VFooter,
	VContainer, VRow, VCol,
	VCard, VCardTitle, VCardText, VCardActions,
	VDialog,
	VExpansionPanels, VExpansionPanel, VExpansionPanelHeader, VExpansionPanelContent,
	VBtn, VChip, VIcon,
	VDivider, VSpacer,
	VOverlay, VTooltip,
	VList, VListItem, VListItemContent, VListItemTitle, VListItemAction,
	VTextField,
	VExpandTransition,
} from 'vuetify/lib'

import { Intersect, Ripple } from 'vuetify/lib/directives'

Vue.use(Vuetify, {
	components: {
		VApp, VAppBar, VContent, VNavigationDrawer, VToolbar, VFooter,
		VContainer, VRow, VCol,
		VCard, VCardTitle, VCardText, VCardActions,
		VDialog,
		VExpansionPanels, VExpansionPanel, VExpansionPanelHeader, VExpansionPanelContent,
		VBtn, VChip, VIcon,
		VDivider, VSpacer,
		VOverlay, VTooltip,
		VList, VListItem, VListItemContent, VListItemTitle, VListItemAction,
		VTextField,
		VExpandTransition,
	},
	directives: {
		Intersect,
		Ripple,
	},
})

export default new Vuetify({
	icons: {
		iconfont: 'md',
	},
	theme: {
		dark: false,
	},
})
